### Method

# Gtk.IconView.get_cell_rect

#### Declaration [src]

    gboolean
    gtk_icon_view_get_cell_rect (
      GtkIconView* icon_view,
      GtkTreePath* path,
      GtkCellRenderer* cell,
      GdkRectangle* rect
    )

#### Description [src]

Fills the bounding rectangle in widget coordinates for the cell specified by `path` and `cell`. If `cell` is `NULL` the main cell area is used.

This function is only valid if `icon_view` is realized.

#### Parameters

`path` | `GtkTreePath`
| a `GtkTreePath`
| Ownership is not transferred to the callee
`cell` | `GtkCellRenderer`
| a `GtkCellRenderer` or `NULL`
| Can be `NULL`
| Ownership is not transferred to the callee
`rect` | `GdkRectangle*`
| rectangle to fill with cell rect
| Direction: out
| Ownership is not transferred to the callee

#### Return value

Returns: `gboolean`
`FALSE` if there is no such item, `TRUE` otherwise